:root {
  /* colors */
  --color-light-gray: #c3c2c2;
  --color-medium-gray: #81a2b0;
  --color-light-blue: #00a6de;
  --color-logo-blue: #00667f;
  --color-logo-green: #007c66;
  --color-orange: #e59034;
  --color-accent-green: #009959;
  --color-purple: #79447b;
  --color-white: #fff;
  --color-html-gray: #808080;
  --color-html-dark-grey: #a9a9a9;
  --color-html-silver: #c0c0c0;
  --color-html-gainsboro: #dcdcdc;
  --color-html-white-smoke: #f5f5f5;
  --color-gray-70: #5d5d5d;
  --color-black: #000;
  --test-color: #424242;
  /* fonts */
  --rem-base: 18; /* used to compute rem value from desired pixel value (e.g., calc(18 / var(--rem-base) * 1rem) = 18px) */
  --body-font-size: 1.0625em; /* 17px */
  --body-font-size--desktop: 1.25em; /* 18px */
  --body-font-size--print: 0.9375em; /* 15px */
  --body-line-height: 1.15;
  --body-font-color: var(--color-gray-70);
  --body-font-family: "Noto Serif", "DejaVu Serif", serif;
  --body-font-weight-bold: 600;
  --monospace-font-family: "Menlo", monospace;
  --monospace-font-weight-bold: 500;
  /* base */
  --body-background: var(--color-white);
  --panel-background: var(--color-html-white-smoke);
  --panel-border-color: var(--color-light-gray);
  --scrollbar-thumb-color: var(--color-light-gray);
  /* navbar */
  --navbar-background: var(--color-logo-blue);
  --navbar-font-color: var(--color-white);
  --navbar_hover-background: var(--color-logo-blue);
  --navbar-button-background: var(--color-white);
  --navbar-button-border-color: var(--panel-border-color);
  --navbar-button-font-color: var(--body-font-color);
  --navbar-button_hover-background: var(--color-light-gray);
  --navbar-menu-border-color: var(--panel-border-color);
  --navbar-menu-background: var(--color-white);
  --navbar-menu-font-color: var(--body-font-color);
  --navbar-menu_hover-background: var(--color-html-white-smoke);
  /* nav */
  --nav-background: var(--panel-background);
  --nav-border-color: var(--color-html-gainsboro);
  --nav-line-height: 1.35;
  --nav-heading-font-color: var(--color-logo-blue);
  --nav-muted-color: var(--color-medium-gray);
  --nav-panel-divider-color: var(--color-light-gray);
  --nav-secondary-background: var(--color-html-white-smoke);
  /* toolbar */
  --toolbar-background: var(--panel-background);
  --toolbar-border-color: var(--panel-border-color);
  --toolbar-font-color: var(--color-logo-blue);
  --toolbar-muted-color: var(--color-medium-gray);
  --page-version-menu-background: var(--color-html-white-smoke);
  --page-version-font-color: var(--color-gray-70);
  --page-version-missing-font-color: var(--color-light-gray);
  /* admonitions */
  --caution-color: #a0439c;
  --caution-on-color: var(--color-white);
  --important-color: #d32f2f;
  --important-on-color: var(--color-white);
  --note-color: #217ee7;
  --note-on-color: var(--color-white);
  --tip-color: #41af46;
  --tip-on-color: var(--color-white);
  --warning-color: #e18114;
  --warning-on-color: var(--color-white);
  /* doc */
  --doc-font-color: var(--color-gray-70);
  --doc-font-size: inherit;
  --doc-font-size--desktop: calc(17 / var(--rem-base) * 1rem);
  --doc-line-height: 1.6;
  --doc-margin: 0 auto;
  --doc-margin--desktop: 0 2rem;
  --heading-font-color: var(--color-logo-blue);
  --heading-font-weight: 100;
  --alt-heading-font-weight: var(--body-font-weight-bold);
  --section-divider-color: var(--panel-border-color);
  --link-font-color: var(--color-medium-gray);
  --link_hover-font-color: #104d92;
  --link_unresolved-font-color: var(--important-color);
  --abstract-background: var(--color-light-gray);
  --abstract-font-color: var(--color-html-gray);
  --abstract-border-color: var(--panel-border-color);
  --admonition-background: var(--panel-background);
  --admonition-label-font-weight: var(--body-font-weight-bold);
  --caption-font-color: var(--color-black);
  --caption-font-weight: var(--body-font-weight-bold);
  --code-background: var(--panel-background);
  --code-font-color: var(--body-font-color);
  --example-background: var(--color-white);
  --example-border-color: var(--color-dark-gray);
  --kbd-background: var(--panel-background);
  --kbd-border-color: var(--color-light-gray);
  --pre-background: var(--panel-background);
  --pre-border-color: var(--panel-border-color);
  --pre-annotation-font-color: var(--color-html-gray);
  --quote-background: var(--panel-background);
  --quote-border-color: var(--color-html-gray);
  --quote-font-color: var(--color-html-gray);
  --quote-attribution-font-color: var(--color-html-dark-grey);
  --sidebar-background: var(--color-html-gainsboro);
  --table-border-color: var(--panel-border-color);
  --table-stripe-background: var(--panel-background);
  --table-footer-background: linear-gradient(to bottom, var(--color-light-gray) 0%, var(--color-white) 100%);
  /* toc */
  --toc-font-color: var(--color-logo-blue);
  --toc-heading-font-color: var(--doc-font-color);
  --toc-border-color: var(--panel-border-color);
  --toc-line-height: 1.2;
  /* footer */
  --footer-line-height: var(--doc-line-height);
  --footer-background: var(--color-medium-gray);
  --footer-font-color: var(--color-white);
  --footer-link-font-color: var(--color-gray-70);
  /* dimensions and positioning */
  --navbar-height: calc(63 / var(--rem-base) * 1rem);
  --toolbar-height: calc(45 / var(--rem-base) * 1rem);
  --drawer-height: var(--toolbar-height);
  --body-top: var(--navbar-height);
  --body-min-height: calc(100vh - var(--body-top));
  --nav-height: calc(var(--body-min-height) - var(--toolbar-height));
  --nav-height--desktop: var(--body-min-height);
  --nav-panel-menu-height: calc(100% - var(--drawer-height));
  --nav-panel-explore-height: calc(50% + var(--drawer-height));
  --nav-width: calc(270 / var(--rem-base) * 1rem);
  --toc-top: calc(var(--body-top) + var(--toolbar-height));
  --toc-height: calc(100vh - var(--toc-top) - 2.5rem);
  --toc-width: calc(162 / var(--rem-base) * 1rem);
  --toc-width--widescreen: calc(216 / var(--rem-base) * 1rem);
  --doc-max-width: calc(720 / var(--rem-base) * 1rem);
  --doc-max-width--desktop: calc(828 / var(--rem-base) * 1rem);
  /* stacking */
  --z-index-nav: 1;
  --z-index-toolbar: 2;
  --z-index-page-version-menu: 3;
  --z-index-navbar: 4;
}
